[botan-devel] Can't compile botan from mtn

Jack Lloyd lloyd at randombit.net
Sun Jul 1 15:35:08 EDT 2012


Hi Vojtech,

Yes it seems like this would be a useful feature so a patch would be
welcome.

-Jack

On Sat, Jun 30, 2012 at 01:52:06PM +0200, Vojtech Kral wrote:
> Oh, ok, thank you!
> 
> The reason I need dev version of botan is to patch it
> to include LZMA compression support (using liblzma from xz-utils).
> I will need lzma in my app sometime soon and I want to stick
> to the pipes'n'filters concept in botan, it's pretty neat.
> Would you possibly be interested in the patch?
> 
> I've been testing it and it seems to work all right.
> It's pretty simple, it was mostly copy-and-somewhat-modify work based
> on existing compression filters.
> 
> ~Vojtech Kral
> 
> 
> On 2012-06-30 01:07, Jack Lloyd wrote:
> > On Fri, Jun 29, 2012 at 11:42:45PM +0200, Vojtech Kral wrote:
> >> Hi,
> >>    I wanted to try compiling the most recent version of
> >> botan - the one from the Monotone repo.
> >>
> >> However, unlike in 1.10.1, the configure script insists
> >> on using 'g++-4.7.0' as a cc command.
> >> Sadly, there is no such thing on my system, there's just 'g++'.
> >> My gcc isn't even 4.7.0, it's actually 4.7.1.
> >> Did I miss anything?
> >
> > No, I was just lazy about the setup, I will fix this sometime soon.
> >
> >> Right now, I can workaround this by symlinking g++ to g++-4.7.0,
> >> but that is kind of nasty...
> >
> > Somewhat better: use configure.py --cc-bin=/path/to/your/gcc
> >
> > -Jack
> > _______________________________________________
> > botan-devel mailing list
> > botan-devel at randombit.net
> > http://lists.randombit.net/mailman/listinfo/botan-devel
> 
> _______________________________________________
> botan-devel mailing list
> botan-devel at randombit.net
> http://lists.randombit.net/mailman/listinfo/botan-devel



More information about the botan-devel mailing list